(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     70023,       1699]
NotebookOptionsPosition[     61640,       1519]
NotebookOutlinePosition[     65731,       1623]
CellTagsIndexPosition[     65536,       1613]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Defini\[CCedilla]\[OTilde]es de Metadata", "Subsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"departamento", " ", "=", " ", "\"\<F\[IAcute]sica\>\""}], "   ", 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"disciplina", " ", "=", " ", "\"\<Relatividade\>\""}], "   ", 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"autor", " ", "=", " ", "\"\<Amaro Rica da Silva\>\""}], "   ", 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"descricao", " ", "=", " ", "\"\<Exame 4\>\""}], "   ", ";"}], "\n", 
 RowBox[{
  RowBox[{"dificuldade", " ", "=", " ", "\"\<easy\>\""}], "   ", 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
  "tema", " ", "=", " ", "\"\<Relatividade de Galileo a Einstein\>\""}], 
  "   ", ";"}], "\n", 
 RowBox[{
  RowBox[{
  "title", " ", "=", " ", "\"\<Di\[AHat]metro da Gal\[AAcute]xia\>\""}], 
  "   ", ";"}], "\n", 
 RowBox[{
  RowBox[{
  "name", " ", "=", " ", "\"\<Di\[AHat]metro da Gal\[AAcute]xia\>\""}], "   ",
   ";"}], "\n", 
 RowBox[{
  RowBox[{"tipo", " ", "=", " ", "\"\<NumIn\>\""}], "   ", ";"}], "\n", 
 RowBox[{
  RowBox[{"datatype", " ", "=", " ", "\"\<Decimal\>\""}], "   ", 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"attr", " ", "=", " ", "0.7"}], "   ", ";"}], "\n", 
 RowBox[{
  RowBox[{"score", " ", "=", " ", "1"}], "   ", ";"}], "\n", 
 RowBox[{
  RowBox[{"tempo", " ", "=", " ", "\"\<00:05:00\>\""}], "   ", ";"}], "\n", 
 RowBox[{
  RowBox[{
  "nb", " ", "=", " ", 
   "\"\</home/amaro/FISICA/Relatividade LEAer 2022/Exame 4.nb\>\""}], "   ", 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"pasta", " ", "=", " ", 
   RowBox[{"NotebookDirectory", "[", "nbb", "]"}]}], "   ", ";"}], "\n", 
 RowBox[{
  RowBox[{"dest", " ", "=", " ", "\"\<Exame 4\>\""}], "   ", ";"}]}], "Code",
 CellTags->"Defs",
 CellLabel->"In[1]:=",ExpressionUUID->"ba564713-cd6f-47de-95e3-b4a6488d10d7"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"setdocktitle", "[", "nbb", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "nbb", "]"}], "]"}], ";"}]}], "Input",
 CellLabel->
  "In[2034]:=",ExpressionUUID->"77ec04b5-2a16-4901-9a63-ff40b5705f64"],

Cell["Vari\[AAcute]veis ", "Subsection",
 CellChangeTimes->{{3.68367848638456*^9, 3.6836785197399797`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AstronomicalData", "[", 
  RowBox[{"\"\<MilkyWay\>\"", ",", "\"\<Diameter\>\""}], "]"}]], "Input",
 CellLabel->
  "In[2036]:=",ExpressionUUID->"d86b9323-299f-4719-8873-55289e886a0a"],

Cell[BoxData[
 TemplateBox[{"9.5`2.*^20", "\"m\"", "meters", "\"Meters\""},
  "Quantity"]], "Output",
 CellLabel->
  "Out[2036]=",ExpressionUUID->"1a7a09d2-31ca-44f9-9d9a-23c116c1bc09"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  SubscriptBox["v", "p"], "=", 
  RowBox[{"RandomChoice", "[", 
   RowBox[{
    RowBox[{"Range", "[", 
     RowBox[{
      RowBox[{"1", "-", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]]}], ",", 
      RowBox[{"1", "-", 
       SuperscriptBox["10", 
        RowBox[{"-", "7"}]]}], ",", 
      SuperscriptBox["10.", 
       RowBox[{"-", "7"}]]}], "]"}], "//", 
    RowBox[{
     RowBox[{"SetPrecision", "[", 
      RowBox[{"#", ",", "7"}], "]"}], "&"}]}], "]"}]}], "\n", 
 RowBox[{"c", "=", 
  RowBox[{
   RowBox[{"Round", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"UC", "[", 
       RowBox[{
        RowBox[{"Quantity", "[", "\"\<SpeedOfLight\>\"", "]"}], ",", 
        "\"\<km/s\>\""}], "]"}], 
      SuperscriptBox["10", 
       RowBox[{"-", "5"}]]}], ",", "1"}], "]"}], 
   SuperscriptBox["10", "5"]}]}], "\n", 
 RowBox[{"\[Beta]", "=", 
  SubscriptBox["v", "p"]}], "\n", 
 RowBox[{"\[Gamma]", "=", 
  RowBox[{
   RowBox[{"1", "/", 
    SqrtBox[
     RowBox[{"1", "-", 
      SuperscriptBox["\[Beta]", "2"]}]]}], "//", 
   RowBox[{
    RowBox[{"SetPrecision", "[", 
     RowBox[{"#", ",", "4"}], "]"}], "&"}]}]}], "\n", 
 RowBox[{"T", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Round", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"UC", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"AstronomicalData", "[", 
             RowBox[{"\"\<MilkyWay\>\"", ",", "\"\<Diameter\>\""}], "]"}], 
            "/", 
            RowBox[{"(", 
             RowBox[{"\[Beta]", " ", "c"}], ")"}]}], ",", "\"\<year\>\""}], 
          "]"}], 
         SuperscriptBox["10", "2"]}], ")"}], ",", "1"}], "]"}], 
     SuperscriptBox["10", 
      RowBox[{"-", "2"}]]}], "//", "N"}], "//", 
   RowBox[{
    RowBox[{"SetPrecision", "[", 
     RowBox[{"#", ",", "8"}], "]"}], "&"}]}]}], "\n", 
 RowBox[{
  SubscriptBox["d", "g"], "=", 
  RowBox[{"Round", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      FractionBox["1", "\[Gamma]"], 
      RowBox[{"UnitConvert", "[", 
       RowBox[{
        RowBox[{"\[Beta]", " ", "c", " ", "T"}], ",", "\"\<ly\>\""}], "]"}]}],
      "//", 
     RowBox[{
      RowBox[{"SetPrecision", "[", 
       RowBox[{"#", ",", "6"}], "]"}], "&"}]}], ",", ".1"}], "]"}]}]}], "Code",\

 CellTags->"Vars",
 CellLabel->"In[17]:=",ExpressionUUID->"08312e19-abb0-4240-b5d2-6a6ba5a8e0a9"],

Cell[BoxData["0.9999992999999999244`7."], "Output",
 CellTags->"Vars",
 CellLabel->"Out[17]=",ExpressionUUID->"d5ab8316-ae8a-42f1-b0ec-3fbaa89dc9c2"],

Cell[BoxData[
 TemplateBox[{"300000", 
   RowBox[{
    "\"km\"", "\[InvisibleSpace]", "\"/\"", "\[InvisibleSpace]", "\"s\""}], 
   "kilometers per second", 
   FractionBox["\"Kilometers\"", "\"Seconds\""]},
  "Quantity"]], "Output",
 CellTags->"Vars",
 CellLabel->"Out[18]=",ExpressionUUID->"334015c4-e46e-47ca-abd4-5ffeeeb72d5f"],

Cell[BoxData["0.9999992999999999244`7."], "Output",
 CellTags->"Vars",
 CellLabel->"Out[19]=",ExpressionUUID->"ed515d2f-ef47-4cac-afc9-7637796cabba"],

Cell[BoxData["845.1544025849104104976`4."], "Output",
 CellTags->"Vars",
 CellLabel->"Out[20]=",ExpressionUUID->"b35beeb8-c0e4-4b9a-aed4-57eda82e3687"],

Cell[BoxData[
 TemplateBox[{"100414.4100000000034924597`8.", "\"yr\"", "years", "\"Years\""},
  "Quantity"]], "Output",
 CellTags->"Vars",
 CellLabel->"Out[21]=",ExpressionUUID->"8d153461-4d1e-474e-9e02-f50fdc6f7ad7"],

Cell[BoxData[
 TemplateBox[{
  "118.80000000000001`", "\"ly\"", "light years", "\"LightYears\""},
  "Quantity"]], "Output",
 CellTags->"Vars",
 CellLabel->"Out[22]=",ExpressionUUID->"72420145-5b83-4c5d-81f9-f0eb11145929"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "\[Gamma]"], 
   RowBox[{"UC", "[", 
    RowBox[{
     RowBox[{"AstronomicalData", "[", 
      RowBox[{"\"\<MilkyWay\>\"", ",", "\"\<Diameter\>\""}], "]"}], ",", 
     "\"\<ly\>\""}], "]"}]}], "//", 
  RowBox[{
   RowBox[{"SetPrecision", "[", 
    RowBox[{"#", ",", "8"}], "]"}], "&"}]}]], "Input",
 CellLabel->
  "In[190]:=",ExpressionUUID->"f3c7212c-5d95-482d-9f19-07da86cf0eb9"],

Cell[BoxData[
 TemplateBox[{
  "127.0161193187777093525`8.", "\"ly\"", "light years", "\"LightYears\""},
  "Quantity"]], "Output",
 CellLabel->
  "Out[190]=",ExpressionUUID->"6658cdea-0aa1-4288-9b67-6aea81540d0b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"UC", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"AstronomicalData", "[", 
       RowBox[{"\"\<MilkyWay\>\"", ",", "\"\<Diameter\>\""}], "]"}], "/", 
      SubscriptBox["v", "p"]}], "/", "c"}], ",", "\"\<year\>\""}], "]"}], "//", 
  RowBox[{
   RowBox[{"SetPrecision", "[", 
    RowBox[{"#", ",", "8"}], "]"}], "&"}]}]], "Input",
 CellLabel->
  "In[3260]:=",ExpressionUUID->"7b2c5c39-0b0c-4cd2-99d0-e48d24fae0d8"],

Cell[BoxData[
 TemplateBox[{"100414.4115720129375951293`8.", "\"yr\"", "years", "\"Years\""},
  "Quantity"]], "Output",
 CellLabel->
  "Out[3260]=",ExpressionUUID->"efa7090b-ef58-4d62-83bd-305af5401a5b"]
}, Open  ]],

Cell["Imagem", "Subsection",
 CellChangeTimes->{{3.6848523204029903`*^9, 3.684852322840111*^9}}],

Cell[BoxData[
 RowBox[{"Afig", "=."}]], "Input",
 CellLabel->
  "In[2361]:=",ExpressionUUID->"8012e7f1-7cc6-461e-a47e-3820f4c8d195"],

Cell[CellGroupData[{

Cell["Enunciado", "Subsection",
 CellChangeTimes->{{3.683678511022759*^9, 3.683678512841613*^9}}],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`fiopt$$ = {
  Alignment -> Center, ContentPadding -> False, BaseStyle -> 
   "Text"}, $CellContext`row$$, $CellContext`fieldln$$, $CellContext`inarr$$ \
= {{
    InputField[
     Dynamic[
      $CellContext`t$$[1]], Boxes, FieldSize -> {50, {1, 100}}, {
     Alignment -> {Right, Center}, ContentPadding -> False, BaseStyle -> 
      "Text"}], 
    InputField[
     Dynamic[
      $CellContext`p$$[1]], Boxes, FieldSize -> {Small, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`e$$[1]], Boxes, FieldSize -> {Medium, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`u$$[1]], Boxes, FieldSize -> {Tiny, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}]}, {
    InputField[
     Dynamic[
      $CellContext`t$$[2]], Boxes, FieldSize -> {50, {1, 100}}, {
     Alignment -> {Right, Center}, ContentPadding -> False, BaseStyle -> 
      "Text"}], 
    InputField[
     Dynamic[
      $CellContext`p$$[2]], Boxes, FieldSize -> {Small, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`e$$[2]], Boxes, FieldSize -> {Medium, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`u$$[2]], Boxes, FieldSize -> {Tiny, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}]}, {
    InputField[
     Dynamic[
      $CellContext`t$$[3]], Boxes, FieldSize -> {50, {1, 100}}, {
     Alignment -> {Right, Center}, ContentPadding -> False, BaseStyle -> 
      "Text"}], 
    InputField[
     Dynamic[
      $CellContext`p$$[3]], Boxes, FieldSize -> {Small, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`e$$[3]], Boxes, FieldSize -> {Medium, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`u$$[3]], Boxes, FieldSize -> {Tiny, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> 
      "Text"}]}}, $CellContext`arr$$ = {{
    InputField[
     Dynamic[
      $CellContext`t$$[1]], Boxes, FieldSize -> {50, {1, 100}}, {
     Alignment -> {Right, Center}, ContentPadding -> False, BaseStyle -> 
      "Text"}], 
    InputField[
     Dynamic[
      $CellContext`p$$[1]], Boxes, FieldSize -> {Small, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`e$$[1]], Boxes, FieldSize -> {Medium, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`u$$[1]], Boxes, FieldSize -> {Tiny, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}]}, {
    InputField[
     Dynamic[
      $CellContext`t$$[2]], Boxes, FieldSize -> {50, {1, 100}}, {
     Alignment -> {Right, Center}, ContentPadding -> False, BaseStyle -> 
      "Text"}], 
    InputField[
     Dynamic[
      $CellContext`p$$[2]], Boxes, FieldSize -> {Small, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`e$$[2]], Boxes, FieldSize -> {Medium, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`u$$[2]], Boxes, FieldSize -> {Tiny, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}]}, {
    InputField[
     Dynamic[
      $CellContext`t$$[3]], Boxes, FieldSize -> {50, {1, 100}}, {
     Alignment -> {Right, Center}, ContentPadding -> False, BaseStyle -> 
      "Text"}], 
    InputField[
     Dynamic[
      $CellContext`p$$[3]], Boxes, FieldSize -> {Small, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`e$$[3]], Boxes, FieldSize -> {Medium, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`u$$[3]], Boxes, FieldSize -> {Tiny, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}]}, {
    InputField[
     Dynamic[
      $CellContext`t$$[4]], Boxes, FieldSize -> {50, {1, 100}}, {
     Alignment -> {Right, Center}, ContentPadding -> False, BaseStyle -> 
      "Text"}], 
    InputField[
     Dynamic[
      $CellContext`p$$[4]], Boxes, FieldSize -> {Small, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`e$$[4]], Boxes, FieldSize -> {Medium, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`u$$[4]], Boxes, FieldSize -> {Tiny, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}]}, {
    Style["Acrescentar (+) / Remover (-) linha N\.ba", "Input"], 
    DisplayForm[
     RowBox[{
       InputField[
        Dynamic[$CellContext`lnno$$], Number, FieldSize -> {Tiny, {1, 100}}, {
        Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
       Cell[
        BoxData[
         RowBox[{
           ButtonBox[
            RowBox[{
              StyleBox[" + ", "Input"]}], Appearance -> Automatic, 
            ButtonFunction :> {If[
                And[
                 
                 Or[$CellContext`nrows$$ >= $CellContext`lnno$$, \
$CellContext`lnno$$ <= $CellContext`nrows$$ + 1], $CellContext`lnno$$ > 0], 
                Clear[$CellContext`ts, $CellContext`ps, $CellContext`es, \
$CellContext`us]; Release[
                   Array[$CellContext`ts, $CellContext`nrows$$ + 1]] = Release[
                   Insert[
                    Array[$CellContext`t$$, $CellContext`nrows$$], 
                    "", $CellContext`lnno$$]]; Release[
                   Array[$CellContext`ps, $CellContext`nrows$$ + 1]] = Release[
                   Insert[
                    Array[$CellContext`p$$, $CellContext`nrows$$], 
                    "", $CellContext`lnno$$]]; Release[
                   Array[$CellContext`es, $CellContext`nrows$$ + 1]] = Release[
                   Insert[
                    Array[$CellContext`e$$, $CellContext`nrows$$], 
                    "", $CellContext`lnno$$]]; Release[
                   Array[$CellContext`us, $CellContext`nrows$$ + 1]] = Release[
                   Insert[
                    Array[$CellContext`u$$, $CellContext`nrows$$], 
                    "", $CellContext`lnno$$]]; 
                Clear[$CellContext`t$$, $CellContext`p$$, $CellContext`e$$, \
$CellContext`u$$]; Release[
                   Array[$CellContext`t$$, $CellContext`nrows$$ + 1]] = 
                 Array[$CellContext`ts, $CellContext`nrows$$ + 1]; Release[
                   Array[$CellContext`p$$, $CellContext`nrows$$ + 1]] = 
                 Array[$CellContext`ps, $CellContext`nrows$$ + 1]; Release[
                   Array[$CellContext`e$$, $CellContext`nrows$$ + 1]] = 
                 Array[$CellContext`es, $CellContext`nrows$$ + 1]; Release[
                   Array[$CellContext`u$$, $CellContext`nrows$$ + 1]] = 
                 Array[$CellContext`us, $CellContext`nrows$$ + 1]; 
                Increment[$CellContext`nrows$$]; 
                Increment[$CellContext`lnno$$]; $CellContext`arr$$ = 
                 Insert[$CellContext`arr$$, 
                   $CellContext`fieldln$$[$CellContext`nrows$$], \
$CellContext`nrows$$]; Null, 
                If[
                 
                 And[$CellContext`lnno$$ <= $CellContext`nrows$$ + 
                   1, $CellContext`lnno$$ > 
                  0], $CellContext`t$$[$CellContext`lnno$$] = 
                  ""; $CellContext`p$$[$CellContext`lnno$$] = 
                  ""; $CellContext`e$$[$CellContext`lnno$$] = 
                  ""; $CellContext`u$$[$CellContext`lnno$$] = 
                  ""; $CellContext`arr$$ = Insert[$CellContext`arr$$, 
                    $CellContext`fieldln$$[$CellContext`lnno$$], \
$CellContext`lnno$$]; Increment[$CellContext`nrows$$]; 
                 Increment[$CellContext`lnno$$]; Null]]; None}, Evaluator -> 
            Automatic], " "}]], "Input", Evaluatable -> False], 
       Cell[
        BoxData[
         RowBox[{
           ButtonBox[
            RowBox[{
              StyleBox[" - ", "Input"]}], Appearance -> Automatic, 
            ButtonFunction :> {If[
                
                And[$CellContext`lnno$$ <= $CellContext`nrows$$, \
$CellContext`nrows$$ > 1], 
                Clear[$CellContext`ts, $CellContext`ps, $CellContext`es, \
$CellContext`us]; Release[
                   Array[$CellContext`ts, $CellContext`nrows$$ - 1]] = Release[
                   Drop[
                    
                    Array[$CellContext`t$$, $CellContext`nrows$$], \
{$CellContext`lnno$$}]]; Release[
                   Array[$CellContext`ps, $CellContext`nrows$$ - 1]] = Release[
                   Drop[
                    
                    Array[$CellContext`p$$, $CellContext`nrows$$], \
{$CellContext`lnno$$}]]; Release[
                   Array[$CellContext`es, $CellContext`nrows$$ - 1]] = Release[
                   Drop[
                    
                    Array[$CellContext`e$$, $CellContext`nrows$$], \
{$CellContext`lnno$$}]]; Release[
                   Array[$CellContext`us, $CellContext`nrows$$ - 1]] = Release[
                   Drop[
                    
                    Array[$CellContext`u$$, $CellContext`nrows$$], \
{$CellContext`lnno$$}]]; 
                Clear[$CellContext`t$$, $CellContext`p$$, $CellContext`e$$, \
$CellContext`u$$]; Release[
                   Array[$CellContext`t$$, $CellContext`nrows$$ - 1]] = 
                 Array[$CellContext`ts, $CellContext`nrows$$ - 1]; Release[
                   Array[$CellContext`p$$, $CellContext`nrows$$ - 1]] = 
                 Array[$CellContext`ps, $CellContext`nrows$$ - 1]; Release[
                   Array[$CellContext`e$$, $CellContext`nrows$$ - 1]] = 
                 Array[$CellContext`es, $CellContext`nrows$$ - 1]; Release[
                   Array[$CellContext`u$$, $CellContext`nrows$$ - 1]] = 
                 Array[$CellContext`us, $CellContext`nrows$$ - 
                   1]; $CellContext`arr$$ = 
                 Drop[$CellContext`arr$$, {$CellContext`nrows$$}]; 
                Decrement[$CellContext`lnno$$]; 
                Decrement[$CellContext`nrows$$]; Null]; None}, Evaluator -> 
            Automatic]}]], "Input", Evaluatable -> False]}]], 
    DisplayForm[
     Cell[
      BoxData[
       RowBox[{
         ButtonBox[
          RowBox[{
            StyleBox[
            " Gerar C\[EAcute]lula de Inicializa\[CCedilla]\[ATilde]o para \
myenunc ", "Input"]}], Appearance -> Automatic, 
          ButtonFunction :> {NotebookLocate[{
               InputNotebook[], "myenunc"}]; $CellContext`respcll = RowBox[
               Map[RowBox[{"{", 
                  Apply[Sequence, #]}]& , 
                Array[{
                  If[$CellContext`t$$[#] === "", "\"\"", 
                   $CellContext`strp[
                    $CellContext`t$$[#]]], ",", "\" \( \"", ",", 
                  $CellContext`strp[
                   RowBox[{
                    $CellContext`p$$[#]}]], ",", 
                  If[$CellContext`e$$[#] === "", "\"\"", 
                   $CellContext`e$$[#]], ",", 
                  If[$CellContext`u$$[#] =!= "", 
                   $CellContext`strp[
                    RowBox[{"\\;", 
                    ReplaceAll[
                    $CellContext`u$$[#], " " -> "\\;"]}]], 
                   RowBox[{"\"\""}]], ",", "\" \) \"", 
                  "}"}& , $CellContext`nrows$$]]]; NotebookWrite[
              InputNotebook[], 
              Cell[
               BoxData[
                RowBox[{"myenunc", "=", 
                  (Map[Apply[{"{", 
                    SlotSequence[1], "}"}& , #]& , #]& )[
                   RowBox[
                    Drop[
                    Map[Apply[Sequence, {#, ","}]& , 
                    Part[$CellContext`respcll, 1]], -1]]], ";"}]], "Code", 
               CellTags -> "myenunc"]]; None}, Evaluator -> Automatic]}]], 
      "Input", Evaluatable -> 
      False]]}}, $CellContext`t$$, $CellContext`p$$, $CellContext`e$$, \
$CellContext`u$$, $CellContext`nrows$$ = 4, $CellContext`lnno$$ = 
  5, $CellContext`ttl$$ = "myenunc", $CellContext`myenunc2$$}, 
  DynamicBox[ToBoxes[
    (TableForm[#]& )[{{
       Panel[
        Grid[
         Prepend[$CellContext`arr$$, 
          Map[
          Style[#, "Input"]& , {"Texto", "Grandeza", "Formula", "Unidades"}]],
          Frame -> All, 
         Alignment -> {{Right, Center, Center, Center}, Bottom}, 
         ItemSize -> {{1 -> Full, 2 -> Full, 3 -> Full, 4 -> Full}}, 
         Spacings -> {{0, 1, 1, 1}}]]}}], StandardForm],
   ImageSizeCache->{1246., {119.5234375, 125.4765625}}],
  DynamicModuleValues:>{{DownValues[$CellContext`fieldln$$] = {HoldPattern[
         $CellContext`fieldln$$[
          Pattern[$CellContext`row$, 
           Blank[]]]] :> {
         InputField[
          Dynamic[
           $CellContext`t$$[$CellContext`row$]], Boxes, 
          FieldSize -> {50, {1, 100}}, {
          Alignment -> {Right, Center}, ContentPadding -> False, BaseStyle -> 
           "Text"}], 
         InputField[
          Dynamic[
           $CellContext`p$$[$CellContext`row$]], Boxes, 
          FieldSize -> {Small, {1, 100}}, {
          Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
         InputField[
          Dynamic[
           $CellContext`e$$[$CellContext`row$]], Boxes, 
          FieldSize -> {Medium, {1, 100}}, {
          Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
         InputField[
          Dynamic[
           $CellContext`u$$[$CellContext`row$]], Boxes, 
          FieldSize -> {Tiny, {1, 100}}, {
          Alignment -> Center, ContentPadding -> False, BaseStyle -> 
           "Text"}]}}}, {DownValues[$CellContext`t$$] = {HoldPattern[
         $CellContext`t$$[1]] :> RowBox[{
          RowBox[{"Um", " ", "prot\[ATilde]o", " ", "no", " ", "LHC"}], ",", 
          " ", 
          
          RowBox[{"o", " ", "maior", " ", "acelerador", " ", "de", " ", 
            "part\[IAcute]culas", " ", "do", " ", "mundo"}], ",", " ", 
          RowBox[{"desloca", "-", 
            RowBox[{"se", " ", "a", " ", "uma", " ", "velocidade", " "}]}]}], 
       HoldPattern[
         $CellContext`t$$[2]] :> RowBox[{
          
          RowBox[{"Se", " ", "um", " ", "prot\[ATilde]o", " ", "com", " ", 
            "essa", " ", "velocidade", " ", "atravessasse", " ", "a", " ", 
            "nossa", " ", "gal\[AAcute]xia", " ", "ao", " ", "longo", " ", 
            "do", " ", "seu", " ", "di\[AHat]metro"}], ",", " ", "levaria"}], 
       HoldPattern[
         $CellContext`t$$[3]] :> 
       RowBox[{"no", " ", "referencial", " ", "da", " ", 
          RowBox[{"gal\[AAcute]xia", ".", " ", "Qual"}], " ", "seria", " ", 
          "o", " ", "di\[AHat]metro", " ", "da", " ", "gal\[AAcute]xia", " ", 
          "visto", " ", "do", " ", "referencial", " ", "pr\[OAcute]prio", " ",
           "do", " ", 
          RowBox[{"prot\[ATilde]o", "?"}]}], HoldPattern[
         $CellContext`t$$[4]] :> 
       RowBox[{"D\[EHat]", " ", "o", " ", "resultado", " ", "com", " ", "4", 
          " ", "d\[IAcute]gitos", " ", 
          RowBox[{"significativos", "."}]}]}}, {
    DownValues[$CellContext`p$$] = {HoldPattern[
         $CellContext`p$$[1]] :> RowBox[{
          SubscriptBox["v", "p"], "="}], HoldPattern[
         $CellContext`p$$[2]] :> RowBox[{"T", "="}], HoldPattern[
         $CellContext`p$$[3]] :> "", HoldPattern[
         $CellContext`p$$[4]] :> ""}}, {
    DownValues[$CellContext`e$$] = {HoldPattern[
         $CellContext`e$$[1]] :> SubscriptBox["v", "p"], HoldPattern[
         $CellContext`e$$[2]] :> RowBox[{
          RowBox[{"T", "//", "QM"}], "//", 
          RowBox[{
            RowBox[{"NumberForm", "[", 
              RowBox[{"#", ",", 
                RowBox[{"{", 
                  RowBox[{"8", ",", "2"}], "}"}]}], "]"}], "&"}]}], 
       HoldPattern[
         $CellContext`e$$[3]] :> "", HoldPattern[
         $CellContext`e$$[4]] :> ""}}, {
    DownValues[$CellContext`u$$] = {HoldPattern[
         $CellContext`u$$[1]] :> RowBox[{"c", "."}], HoldPattern[
         $CellContext`u$$[2]] :> "anos", HoldPattern[
         $CellContext`u$$[3]] :> "", HoldPattern[
         $CellContext`u$$[4]] :> ""}}},
  Initialization:>{$CellContext`ts[1] = 
    RowBox[{"Um", " ", "condutor", " ", "filiforme", " ", "de", " ", 
       "comprimento"}], $CellContext`ts[2] = RowBox[{" ", 
       RowBox[{
        "e", " ", "sec\[CCedilla]\[ATilde]o", " ", "reta", 
         "  "}]}], $CellContext`ts[3] = RowBox[{"  ", 
       RowBox[{"tem", " ", "condutividade", " "}]}], $CellContext`ts[4] = 
    RowBox[{"As", " ", "extremidades", " ", "do", " ", "condutor", " ", 
       "s\[ATilde]o", " ", "mantidas", " ", "a", " ", "uma", " ", 
       "tens\[ATilde]o", " "}], $CellContext`ts[5] = "", $CellContext`ps[1] = 
    RowBox[{"L", " ", "="}], $CellContext`ps[2] = 
    RowBox[{"A", " ", "="}], $CellContext`ps[3] = RowBox[{
       SubscriptBox["\[Sigma]", "c"], " ", "="}], $CellContext`ps[4] = 
    RowBox[{" ", 
       RowBox[{"V", " ", "="}]}], $CellContext`ps[5] = "", $CellContext`es[1] = 
    RowBox[{"L", " "}], $CellContext`es[2] = RowBox[{"A", " ", 
       SuperscriptBox["10", "4"]}], $CellContext`es[3] = RowBox[{
       SubscriptBox["\[Sigma]", "c"], " ", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]]}], $CellContext`es[4] = "V", $CellContext`es[5] = 
    "", $CellContext`us[1] = "m", $CellContext`us[2] = 
    SuperscriptBox["cm", "2"], $CellContext`us[3] = RowBox[{" ", 
       RowBox[{"\[Times]", 
         SuperscriptBox["10", "6"], " ", 
         RowBox[{
           SuperscriptBox["Sm", 
            RowBox[{"-", "1"}]], "."}]}]}], $CellContext`us[4] = 
    "V", $CellContext`us[5] = "", $CellContext`respcll = RowBox[{
       RowBox[{"{", 
         RowBox[{
          "\"\!\(\*RowBox[{RowBox[{\"Sobre\", \" \", \"um\", \" \", \
\"objeto\"}], \",\", \" \", RowBox[{\"com\", \" \", \"massa\", \" \
\"}]}]\)\""}], ",", "\" \( \"", ",", 
         RowBox[{"\"\!\(\*RowBox[{RowBox[{\"m\", \"=\", \" \"}]}]\)\""}], ",",
          "m", ",", 
         RowBox[{"\"\!\(\*RowBox[{\"\\\\;\", \"kg\"}]\)\""}], ",", "\" \) \"",
          "}"}], 
       RowBox[{"{", 
         RowBox[{
          "\"\!\(\*RowBox[{\",\", \" \", RowBox[{\"exerce\", \"-\", \
RowBox[{\"se\", \" \", \"uma\", \" \", \"for\[CCedilla]a\", \" \", \"vari\
\[AAcute]vel\", \"  \", \"de\", \" \", \"magnitude\", \" \"}]}]}]\)\""}], ",",
          "\" \( \"", ",", 
         RowBox[{"\"\!\(\*RowBox[{RowBox[{\"F\", \"=\", \" \"}]}]\)\""}], ",",
          "F", ",", 
         RowBox[{"\"\!\(\*RowBox[{\"\\\\;\", \"N\"}]\)\""}], ",", "\" \) \"", 
         "}"}], 
       RowBox[{"{", 
         RowBox[{
          "\"\!\(\*RowBox[{\" \", RowBox[{\"no\", \" \", \"sentido\", \" \", \
\"indicado\", \" \", \"na\", \" \", RowBox[{\"figura\", \".\", \" \", \
\"Admita\"}], \" \", \"que\", \" \", \"o\", \" \", \"objeto\", \" \", \"est\
\[AAcute]\", \" \", \"inicialmente\", \" \", \"em\", \" \", \"repouso\", \" \
\", \"numa\", \" \", \"superf\[IAcute]cie\", \" \", \"horizontal\", \" \", \
\"sem\", \" \", RowBox[{\"atrito\", \".\"}]}]}]\)\""}], ",", "\" \( \"", ",", 
         
         RowBox[{"\"\!\(\*RowBox[{\"\"}]\)\""}], ",", "\"\"", ",", 
         RowBox[{"\"\""}], ",", "\" \) \"", "}"}], 
       RowBox[{"{", 
         RowBox[{
          "\"\!\(\*RowBox[{\" \", RowBox[{\"\[ReturnIndicator]\", \"  \", \
\"Qual\", \" \", \"\[EAcute]\", \" \", \"a\", \" \", \"velocidade\", \" \", \
\"do\", \" \", \"objeto\", \" \", \"ao\", \" \", \"fim\", \" \", \"de\", \" \
\"}]}]\)\""}], ",", "\" \( \"", ",", 
         RowBox[{"\"\!\(\*RowBox[{\"\"}]\)\""}], ",", "B", ",", 
         RowBox[{
          "\"\!\(\*RowBox[{\"\\\\;\", RowBox[{\"s\", \"?\", \"   \
\"}]}]\)\""}], ",", "\" \) \"", "}"}]}], $CellContext`strp[
      Pattern[$CellContext`s, 
       Blank[]]] := RowBox[{("\"" <> ToString[
          DisplayForm[
           StandardForm[$CellContext`s]]]) <> "\""}]}]], "Text",
 GeneratedCell->True,
 CellAutoOverwrite->False,
 Magnification->1,
 CellTags->"quadro",ExpressionUUID->"c2d61fc7-6840-43b0-aaf8-5e1ae6a225cd"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"myenunc", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(Um\\\ prot\[ATilde]o\\\ no\\\ LHC, \\\ o\\\ maior\\\ \
acelerador\\\ de\\\ part\[IAcute]culas\\\ do\\\ mundo, \\\ desloca - \(\(se\)\
\(\\\ \)\(a\)\(\\\ \)\(uma\)\(\\\ \)\(velocidade\)\(\\\ \)\)\)\>\"", ",", 
       "\"\< \( \>\"", ",", 
       "\"\<\!\(\(\*SubscriptBox[\(v\), \(p\)]\(=\)\)\)\>\"", ",", 
       SubscriptBox["v", "p"], ",", 
       "\"\<\!\(\(\(\\\\\)\(;\)\) \(\(c\)\(.\)\)\)\>\"", ",", 
       "\"\< \) \>\""}], "}"}], ",", 
     RowBox[{
     "{", "\"\<\!\(Se\\\ um\\\ prot\[ATilde]o\\\ com\\\ essa\\\ velocidade\\\ \
atravessasse\\\ a\\\ nossa\\\ gal\[AAcute]xia\\\ ao\\\ longo\\\ do\\\ seu\\\ \
di\[AHat]metro, \\\ levaria\)\>\"", ",", "\"\< \( \>\"", ",", 
      "\"\<\!\(\(\(T\)\(=\)\)\)\>\"", ",", 
      RowBox[{
       RowBox[{"T", "//", "QM"}], "//", 
       RowBox[{
        RowBox[{"NumberForm", "[", 
         RowBox[{"#", ",", 
          RowBox[{"{", 
           RowBox[{"8", ",", "2"}], "}"}]}], "]"}], "&"}]}], ",", 
      "\"\<\!\(\(\(\\\\\)\(;\)\) anos\)\>\"", ",", "\"\< \) \>\"", "}"}], ",", 
     RowBox[{
     "{", "\"\<\!\(no\\\ referencial\\\ da\\\ gal\[AAcute]xia . \\\ Qual\\\ \
seria\\\ o\\\ di\[AHat]metro\\\ da\\\ gal\[AAcute]xia\\\ visto\\\ do\\\ \
referencial\\\ pr\[OAcute]prio\\\ do\\\ \(\(prot\[ATilde]o\)\(?\)\)\)\>\"", 
      ",", "\"\< \( \>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", 
      ",", "\"\< \) \>\"", "}"}], ",", 
     RowBox[{
     "{", "\"\<\!\(D\[EHat]\\\ o\\\ resultado\\\ com\\\ 4\\\ \
d\[IAcute]gitos\\\ \(\(significativos\)\(.\)\)\)\>\"", ",", "\"\< \( \>\"", 
      ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\< \) \>\"", 
      "}"}]}], "}"}]}], ";"}]], "Code",
 CellTags->"myenunc",
 CellLabel->"In[23]:=",ExpressionUUID->"9dcb8997-d596-4c24-8ef0-e04a22031100"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"perguntas", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      RowBox[{"{", "\"\<\\(\\)\>\"", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"#", "/.", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
             "#", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], ":>", 
             RowBox[{"NumberForm", "[", 
              RowBox[{
               RowBox[{
               "#", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"8", ",", "7"}], "}"}]}], "]"}]}], ")"}]}], ")"}], 
         "&"}], "/@", "myenunc"}], "}"}], ",", 
      RowBox[{"{", "\"\<\\(\\) \>\"", "}"}]}], "}"}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"perguntas", "//", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"#", "/.", 
       RowBox[{
        RowBox[{"Image", "[", 
         RowBox[{"z_", ",", "\"\<Byte\>\"", ",", "x__"}], "]"}], 
        "\[RuleDelayed]", 
        RowBox[{"Image", "[", 
         RowBox[{"z", ",", "\"\<Byte\>\"", ",", "x", ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"Magnification", "[", "1", "]"}]}]}], "]"}]}]}], ")"}], 
     "&"}]}], "//", "\n", 
   RowBox[{
    RowBox[{"Grid", "[", 
     RowBox[{"#", ",", 
      RowBox[{"ItemSize", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"Alignment", "\[Rule]", "Left"}], ",", 
      RowBox[{"BaseStyle", "->", 
       RowBox[{"FontColor", "\[Rule]", "White"}]}], ",", 
      RowBox[{"ItemStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<Output\>\"", ",", 
         RowBox[{"LineIndent", "\[Rule]", "0"}]}], "}"}]}]}], "]"}], "&"}]}], 
  "//", "DisplayForm", " "}]}], "Code",
 CellLabel->"In[24]:=",ExpressionUUID->"f6cf1ee9-b129-4d4e-8a6c-a4e2c93726c6"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {""},
     {"\<\"\\(\\)\"\>"},
     {
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\<\"\\!\\(Um\\\\ prot\[ATilde]o\\\\ no\\\\ LHC, \\\\ o\\\\ \
maior\\\\ acelerador\\\\ de\\\\ part\[IAcute]culas\\\\ do\\\\ mundo, \\\\ \
desloca - \\(\\(se\\)\\(\\\\ \\)\\(a\\)\\(\\\\ \\)\\(uma\\)\\(\\\\ \
\\)\\(velocidade\\)\\(\\\\ \\)\\)\\)\"\>", ",", "\<\" \\( \"\>", 
          ",", "\<\"\\!\\(\\(\\*SubscriptBox[\\(v\\), \\(p\\)]\\(=\\)\\)\\)\"\
\>", ",", 
          TagBox[
           InterpretationBox[
            StyleBox["\<\"0.9999993\"\>",
             ShowStringCharacters->False],
            0.9999992999999999244`7.,
            AutoDelete->True],
           NumberForm[#, {8, 7}]& ], 
          ",", "\<\"\\!\\(\\(\\(\\\\\\\\\\)\\(;\\)\\) \\(\\(c\\)\\(.\\)\\)\\)\
\"\>", ",", "\<\" \\) \"\>"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\<\"\\!\\(Se\\\\ um\\\\ prot\[ATilde]o\\\\ com\\\\ essa\\\\ \
velocidade\\\\ atravessasse\\\\ a\\\\ nossa\\\\ gal\[AAcute]xia\\\\ ao\\\\ \
longo\\\\ do\\\\ seu\\\\ di\[AHat]metro, \\\\ levaria\\)\"\>", 
          ",", "\<\" \\( \"\>", ",", "\<\"\\!\\(\\(\\(T\\)\\(=\\)\\)\\)\"\>", 
          ",", 
          TagBox[
           TagBox[
            InterpretationBox[
             StyleBox["\<\"100414.41\"\>",
              ShowStringCharacters->False],
             100414.4100000000034924597`8.,
             AutoDelete->True],
            NumberForm[#, {8, 2}]& ],
           NumberForm[#, {8, 7}]& ], 
          ",", "\<\"\\!\\(\\(\\(\\\\\\\\\\)\\(;\\)\\) anos\\)\"\>", 
          ",", "\<\" \\) \"\>"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\<\"\\!\\(no\\\\ referencial\\\\ da\\\\ gal\[AAcute]xia . \
\\\\ Qual\\\\ seria\\\\ o\\\\ di\[AHat]metro\\\\ da\\\\ gal\[AAcute]xia\\\\ \
visto\\\\ do\\\\ referencial\\\\ pr\[OAcute]prio\\\\ do\\\\ \\(\\(prot\
\[ATilde]o\\)\\(?\\)\\)\\)\"\>", ",", "\<\" \\( \"\>", 
          ",", "\<\"\[AutoOperand]\"\>", ",", 
          TagBox["\<\"\"\>",
           NumberForm[#, {8, 7}]& ], ",", 
          TagBox["\<\"\"\>",
           NumberForm[#, {8, 7}]& ], ",", "\<\" \\) \"\>"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\<\"\\!\\(D\[EHat]\\\\ o\\\\ resultado\\\\ com\\\\ 4\\\\ d\
\[IAcute]gitos\\\\ \\(\\(significativos\\)\\(.\\)\\)\\)\"\>", 
          ",", "\<\" \\( \"\>", ",", "\<\"\[AutoOperand]\"\>", ",", 
          TagBox["\<\"\"\>",
           NumberForm[#, {8, 7}]& ], ",", 
          TagBox["\<\"\"\>",
           NumberForm[#, {8, 7}]& ], ",", "\<\" \\) \"\>"}], "}"}]}], "}"}]},
     {"\<\"\\(\\) \"\>"}
    },
    AutoDelete->False,
    BaseStyle->(FontColor -> GrayLevel[1]),
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxItemStyle->{
     "Columns" -> {{"Output"}}, "Rows" -> {{LineIndent -> 0}}}],
   "Grid"],
  DisplayForm]], "Output",
 CellLabel->
  "Out[25]//DisplayForm=",ExpressionUUID->"27286455-c703-4367-9e93-\
b6b09c72fce1"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Resposta", "Subsection",
 CellChangeTimes->{{3.683678530223179*^9, 3.683678531554492*^9}}],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`fiopt$$ = {
  Alignment -> Center, ContentPadding -> False, BaseStyle -> 
   "Text"}, $CellContext`row$$, $CellContext`fieldln$$, $CellContext`inarr$$ \
= {{
    InputField[
     Dynamic[
      $CellContext`t$$[1]], Boxes, FieldSize -> {50, {1, 100}}, {
     Alignment -> {Right, Center}, ContentPadding -> False, BaseStyle -> 
      "Text"}], 
    InputField[
     Dynamic[
      $CellContext`p$$[1]], Boxes, FieldSize -> {Small, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`e$$[1]], Boxes, FieldSize -> {Medium, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`u$$[1]], Boxes, FieldSize -> {Tiny, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> 
      "Text"}]}}, $CellContext`arr$$ = {{
    InputField[
     Dynamic[
      $CellContext`t$$[1]], Boxes, FieldSize -> {50, {1, 100}}, {
     Alignment -> {Right, Center}, ContentPadding -> False, BaseStyle -> 
      "Text"}], 
    InputField[
     Dynamic[
      $CellContext`p$$[1]], Boxes, FieldSize -> {Small, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`e$$[1]], Boxes, FieldSize -> {Medium, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
    InputField[
     Dynamic[
      $CellContext`u$$[1]], Boxes, FieldSize -> {Tiny, {1, 100}}, {
     Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}]}, {
    Style["Acrescentar (+) / Remover (-) linha N\.ba", "Input"], 
    DisplayForm[
     RowBox[{
       InputField[
        Dynamic[$CellContext`lnno$$], Number, FieldSize -> {Tiny, {1, 100}}, {
        Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
       Cell[
        BoxData[
         RowBox[{
           ButtonBox[
            RowBox[{
              StyleBox[" + ", "Input"]}], Appearance -> Automatic, 
            ButtonFunction :> {If[
                And[
                 
                 Or[$CellContext`nrows$$ >= $CellContext`lnno$$, \
$CellContext`lnno$$ <= $CellContext`nrows$$ + 1], $CellContext`lnno$$ > 0], 
                Clear[$CellContext`ts, $CellContext`ps, $CellContext`es, \
$CellContext`us]; Release[
                   Array[$CellContext`ts, $CellContext`nrows$$ + 1]] = Release[
                   Insert[
                    Array[$CellContext`t$$, $CellContext`nrows$$], 
                    "", $CellContext`lnno$$]]; Release[
                   Array[$CellContext`ps, $CellContext`nrows$$ + 1]] = Release[
                   Insert[
                    Array[$CellContext`p$$, $CellContext`nrows$$], 
                    "", $CellContext`lnno$$]]; Release[
                   Array[$CellContext`es, $CellContext`nrows$$ + 1]] = Release[
                   Insert[
                    Array[$CellContext`e$$, $CellContext`nrows$$], 
                    "", $CellContext`lnno$$]]; Release[
                   Array[$CellContext`us, $CellContext`nrows$$ + 1]] = Release[
                   Insert[
                    Array[$CellContext`u$$, $CellContext`nrows$$], 
                    "", $CellContext`lnno$$]]; 
                Clear[$CellContext`t$$, $CellContext`p$$, $CellContext`e$$, \
$CellContext`u$$]; Release[
                   Array[$CellContext`t$$, $CellContext`nrows$$ + 1]] = 
                 Array[$CellContext`ts, $CellContext`nrows$$ + 1]; Release[
                   Array[$CellContext`p$$, $CellContext`nrows$$ + 1]] = 
                 Array[$CellContext`ps, $CellContext`nrows$$ + 1]; Release[
                   Array[$CellContext`e$$, $CellContext`nrows$$ + 1]] = 
                 Array[$CellContext`es, $CellContext`nrows$$ + 1]; Release[
                   Array[$CellContext`u$$, $CellContext`nrows$$ + 1]] = 
                 Array[$CellContext`us, $CellContext`nrows$$ + 1]; 
                Increment[$CellContext`nrows$$]; 
                Increment[$CellContext`lnno$$]; $CellContext`arr$$ = 
                 Insert[$CellContext`arr$$, 
                   $CellContext`fieldln$$[$CellContext`nrows$$], \
$CellContext`nrows$$]; Null, 
                If[
                 
                 And[$CellContext`lnno$$ <= $CellContext`nrows$$ + 
                   1, $CellContext`lnno$$ > 
                  0], $CellContext`t$$[$CellContext`lnno$$] = 
                  ""; $CellContext`p$$[$CellContext`lnno$$] = 
                  ""; $CellContext`e$$[$CellContext`lnno$$] = 
                  ""; $CellContext`u$$[$CellContext`lnno$$] = 
                  ""; $CellContext`arr$$ = Insert[$CellContext`arr$$, 
                    $CellContext`fieldln$$[$CellContext`lnno$$], \
$CellContext`lnno$$]; Increment[$CellContext`nrows$$]; 
                 Increment[$CellContext`lnno$$]; Null]]; None}, Evaluator -> 
            Automatic], " "}]], "Input", Evaluatable -> False], 
       Cell[
        BoxData[
         RowBox[{
           ButtonBox[
            RowBox[{
              StyleBox[" - ", "Input"]}], Appearance -> Automatic, 
            ButtonFunction :> {If[
                
                And[$CellContext`lnno$$ <= $CellContext`nrows$$, \
$CellContext`nrows$$ > 1], 
                Clear[$CellContext`ts, $CellContext`ps, $CellContext`es, \
$CellContext`us]; Release[
                   Array[$CellContext`ts, $CellContext`nrows$$ - 1]] = Release[
                   Drop[
                    
                    Array[$CellContext`t$$, $CellContext`nrows$$], \
{$CellContext`lnno$$}]]; Release[
                   Array[$CellContext`ps, $CellContext`nrows$$ - 1]] = Release[
                   Drop[
                    
                    Array[$CellContext`p$$, $CellContext`nrows$$], \
{$CellContext`lnno$$}]]; Release[
                   Array[$CellContext`es, $CellContext`nrows$$ - 1]] = Release[
                   Drop[
                    
                    Array[$CellContext`e$$, $CellContext`nrows$$], \
{$CellContext`lnno$$}]]; Release[
                   Array[$CellContext`us, $CellContext`nrows$$ - 1]] = Release[
                   Drop[
                    
                    Array[$CellContext`u$$, $CellContext`nrows$$], \
{$CellContext`lnno$$}]]; 
                Clear[$CellContext`t$$, $CellContext`p$$, $CellContext`e$$, \
$CellContext`u$$]; Release[
                   Array[$CellContext`t$$, $CellContext`nrows$$ - 1]] = 
                 Array[$CellContext`ts, $CellContext`nrows$$ - 1]; Release[
                   Array[$CellContext`p$$, $CellContext`nrows$$ - 1]] = 
                 Array[$CellContext`ps, $CellContext`nrows$$ - 1]; Release[
                   Array[$CellContext`e$$, $CellContext`nrows$$ - 1]] = 
                 Array[$CellContext`es, $CellContext`nrows$$ - 1]; Release[
                   Array[$CellContext`u$$, $CellContext`nrows$$ - 1]] = 
                 Array[$CellContext`us, $CellContext`nrows$$ - 
                   1]; $CellContext`arr$$ = 
                 Drop[$CellContext`arr$$, {$CellContext`nrows$$}]; 
                Decrement[$CellContext`lnno$$]; 
                Decrement[$CellContext`nrows$$]; Null]; None}, Evaluator -> 
            Automatic]}]], "Input", Evaluatable -> False]}]], 
    DisplayForm[
     Cell[
      BoxData[
       RowBox[{
         ButtonBox[
          RowBox[{
            StyleBox[
            " Gerar C\[EAcute]lula de Inicializa\[CCedilla]\[ATilde]o para \
myresp ", "Input"]}], Appearance -> Automatic, 
          ButtonFunction :> {NotebookLocate[{
               InputNotebook[], "myresp"}]; $CellContext`respcll = RowBox[
               Map[RowBox[{"{", 
                  Apply[Sequence, #]}]& , 
                Array[{
                  If[$CellContext`t$$[#] === "", "\"\"", 
                   $CellContext`strp[
                    $CellContext`t$$[#]]], ",", "\" \( \"", ",", 
                  $CellContext`strp[
                   RowBox[{
                    $CellContext`p$$[#]}]], ",", 
                  If[$CellContext`e$$[#] === "", "\"\"", 
                   $CellContext`e$$[#]], ",", 
                  If[$CellContext`u$$[#] =!= "", 
                   $CellContext`strp[
                    RowBox[{"\\;", 
                    ReplaceAll[
                    $CellContext`u$$[#], " " -> "\\;"]}]], 
                   RowBox[{"\"\""}]], ",", "\" \) \"", 
                  "}"}& , $CellContext`nrows$$]]]; NotebookWrite[
              InputNotebook[], 
              Cell[
               BoxData[
                RowBox[{"myresp", "=", 
                  (Map[Apply[{"{", 
                    SlotSequence[1], "}"}& , #]& , #]& )[
                   RowBox[
                    Drop[
                    Map[Apply[Sequence, {#, ","}]& , 
                    Part[$CellContext`respcll, 1]], -1]]], ";"}]], "Code", 
               CellTags -> "myresp"]]; None}, Evaluator -> Automatic]}]], 
      "Input", Evaluatable -> 
      False]]}}, $CellContext`t$$, $CellContext`p$$, $CellContext`e$$, \
$CellContext`u$$, $CellContext`nrows$$ = 1, $CellContext`lnno$$ = 
  2, $CellContext`ttl$$ = "myresp", $CellContext`myresp2$$}, 
  DynamicBox[ToBoxes[
    (TableForm[#]& )[{{
       Panel[
        Grid[
         Prepend[$CellContext`arr$$, 
          Map[
          Style[#, "Input"]& , {"Texto", "Grandeza", "Formula", "Unidades"}]],
          Frame -> All, 
         Alignment -> {{Right, Center, Center, Center}, Center}, 
         ItemSize -> {{1 -> Full, 2 -> Full, 3 -> Full, 4 -> Full}}, 
         Spacings -> {{0, 1, 1, 1}}]]}}], StandardForm],
   ImageSizeCache->{1231., {48.5234375, 54.4765625}}],
  DynamicModuleValues:>{{DownValues[$CellContext`fieldln$$] = {HoldPattern[
         $CellContext`fieldln$$[
          Pattern[$CellContext`row$, 
           Blank[]]]] :> {
         InputField[
          Dynamic[
           $CellContext`t$$[$CellContext`row$]], Boxes, 
          FieldSize -> {50, {1, 100}}, {
          Alignment -> {Right, Center}, ContentPadding -> False, BaseStyle -> 
           "Text"}], 
         InputField[
          Dynamic[
           $CellContext`p$$[$CellContext`row$]], Boxes, 
          FieldSize -> {Small, {1, 100}}, {
          Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
         InputField[
          Dynamic[
           $CellContext`e$$[$CellContext`row$]], Boxes, 
          FieldSize -> {Medium, {1, 100}}, {
          Alignment -> Center, ContentPadding -> False, BaseStyle -> "Text"}], 
         InputField[
          Dynamic[
           $CellContext`u$$[$CellContext`row$]], Boxes, 
          FieldSize -> {Tiny, {1, 100}}, {
          Alignment -> Center, ContentPadding -> False, BaseStyle -> 
           "Text"}]}}}, {DownValues[$CellContext`t$$] = {HoldPattern[
         $CellContext`t$$[1]] :> 
       RowBox[{"O", " ", "di\[AHat]metro", " ", "da", " ", "gal\[AAcute]xia", 
          " ", "seria"}], HoldPattern[
         $CellContext`t$$[
          Pattern[$CellContext`row, 
           Blank[]]]] :> ""}}, {DownValues[$CellContext`p$$] = {HoldPattern[
         $CellContext`p$$[1]] :> RowBox[{
          SubsuperscriptBox["D", "galaxia", "\[Prime]"], "="}], HoldPattern[
         $CellContext`p$$[
          Pattern[$CellContext`row, 
           Blank[]]]] :> ""}}, {DownValues[$CellContext`e$$] = {HoldPattern[
         $CellContext`e$$[1]] :> RowBox[{
          SubscriptBox["d", "g"], "//", "QM"}], HoldPattern[
         $CellContext`e$$[
          Pattern[$CellContext`row, 
           Blank[]]]] :> ""}}, {DownValues[$CellContext`u$$] = {HoldPattern[
         $CellContext`u$$[1]] :> RowBox[{"anos", "-", 
          RowBox[{"luz", "."}]}], HoldPattern[
         $CellContext`u$$[
          Pattern[$CellContext`row, 
           Blank[]]]] :> ""}}},
  Initialization:>{$CellContext`ts[1] = 
    RowBox[{"Um", " ", "condutor", " ", "filiforme", " ", "de", " ", 
       "comprimento"}], $CellContext`ts[2] = RowBox[{" ", 
       RowBox[{
        "e", " ", "sec\[CCedilla]\[ATilde]o", " ", "reta", 
         "  "}]}], $CellContext`ts[3] = RowBox[{"  ", 
       RowBox[{"tem", " ", "condutividade", " "}]}], $CellContext`ts[4] = 
    RowBox[{"As", " ", "extremidades", " ", "do", " ", "condutor", " ", 
       "s\[ATilde]o", " ", "mantidas", " ", "a", " ", "uma", " ", 
       "tens\[ATilde]o", " "}], $CellContext`ts[5] = "", $CellContext`ps[1] = 
    RowBox[{"L", " ", "="}], $CellContext`ps[2] = 
    RowBox[{"A", " ", "="}], $CellContext`ps[3] = RowBox[{
       SubscriptBox["\[Sigma]", "c"], " ", "="}], $CellContext`ps[4] = 
    RowBox[{" ", 
       RowBox[{"V", " ", "="}]}], $CellContext`ps[5] = "", $CellContext`es[1] = 
    RowBox[{"L", " "}], $CellContext`es[2] = RowBox[{"A", " ", 
       SuperscriptBox["10", "4"]}], $CellContext`es[3] = RowBox[{
       SubscriptBox["\[Sigma]", "c"], " ", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]]}], $CellContext`es[4] = "V", $CellContext`es[5] = 
    "", $CellContext`us[1] = "m", $CellContext`us[2] = 
    SuperscriptBox["cm", "2"], $CellContext`us[3] = RowBox[{" ", 
       RowBox[{"\[Times]", 
         SuperscriptBox["10", "6"], " ", 
         RowBox[{
           SuperscriptBox["Sm", 
            RowBox[{"-", "1"}]], "."}]}]}], $CellContext`us[4] = 
    "V", $CellContext`us[5] = "", $CellContext`respcll = RowBox[{
       RowBox[{"{", 
         RowBox[{
          "\"\!\(\*RowBox[{RowBox[{\"Sobre\", \" \", \"um\", \" \", \
\"objeto\"}], \",\", \" \", RowBox[{\"com\", \" \", \"massa\", \" \
\"}]}]\)\""}], ",", "\" \( \"", ",", 
         RowBox[{"\"\!\(\*RowBox[{RowBox[{\"m\", \"=\", \" \"}]}]\)\""}], ",",
          "m", ",", 
         RowBox[{"\"\!\(\*RowBox[{\"\\\\;\", \"kg\"}]\)\""}], ",", "\" \) \"",
          "}"}], 
       RowBox[{"{", 
         RowBox[{
          "\"\!\(\*RowBox[{\",\", \" \", RowBox[{\"exerce\", \"-\", \
RowBox[{\"se\", \" \", \"uma\", \" \", \"for\[CCedilla]a\", \" \", \"vari\
\[AAcute]vel\", \"  \", \"de\", \" \", \"magnitude\", \" \"}]}]}]\)\""}], ",",
          "\" \( \"", ",", 
         RowBox[{"\"\!\(\*RowBox[{RowBox[{\"F\", \"=\", \" \"}]}]\)\""}], ",",
          "F", ",", 
         RowBox[{"\"\!\(\*RowBox[{\"\\\\;\", \"N\"}]\)\""}], ",", "\" \) \"", 
         "}"}], 
       RowBox[{"{", 
         RowBox[{
          "\"\!\(\*RowBox[{\" \", RowBox[{\"no\", \" \", \"sentido\", \" \", \
\"indicado\", \" \", \"na\", \" \", RowBox[{\"figura\", \".\", \" \", \
\"Admita\"}], \" \", \"que\", \" \", \"o\", \" \", \"objeto\", \" \", \"est\
\[AAcute]\", \" \", \"inicialmente\", \" \", \"em\", \" \", \"repouso\", \" \
\", \"numa\", \" \", \"superf\[IAcute]cie\", \" \", \"horizontal\", \" \", \
\"sem\", \" \", RowBox[{\"atrito\", \".\"}]}]}]\)\""}], ",", "\" \( \"", ",", 
         
         RowBox[{"\"\!\(\*RowBox[{\"\"}]\)\""}], ",", "\"\"", ",", 
         RowBox[{"\"\""}], ",", "\" \) \"", "}"}], 
       RowBox[{"{", 
         RowBox[{
          "\"\!\(\*RowBox[{\" \", RowBox[{\"\[ReturnIndicator]\", \"  \", \
\"Qual\", \" \", \"\[EAcute]\", \" \", \"a\", \" \", \"velocidade\", \" \", \
\"do\", \" \", \"objeto\", \" \", \"ao\", \" \", \"fim\", \" \", \"de\", \" \
\"}]}]\)\""}], ",", "\" \( \"", ",", 
         RowBox[{"\"\!\(\*RowBox[{\"\"}]\)\""}], ",", "B", ",", 
         RowBox[{
          "\"\!\(\*RowBox[{\"\\\\;\", RowBox[{\"s\", \"?\", \"   \
\"}]}]\)\""}], ",", "\" \) \"", "}"}]}], $CellContext`strp[
      Pattern[$CellContext`s, 
       Blank[]]] := RowBox[{("\"" <> ToString[
          DisplayForm[
           StandardForm[$CellContext`s]]]) <> "\""}]}]], "Text",
 GeneratedCell->True,
 CellAutoOverwrite->False,
 Magnification->1,
 CellTags->"quadro",ExpressionUUID->"a46399bc-7a80-4caa-b7a5-4b6100aa6135"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"myresp", "=", 
  RowBox[{"{", 
   RowBox[{
   "{", "\"\<\!\(O\\\ di\[AHat]metro\\\ da\\\ gal\[AAcute]xia\\\ seria\)\>\"",
     ",", "\"\< \( \>\"", ",", 
    "\"\<\!\(\(\*SubsuperscriptBox[\(D\), \(galaxia\), \(\[Prime]\)]\(=\)\)\)\
\>\"", ",", 
    RowBox[{
     SubscriptBox["d", "g"], "//", "QM"}], ",", 
    "\"\<\!\(\(\(\\\\\)\(;\)\) \(anos - \(\(luz\)\(.\)\)\)\)\>\"", ",", 
    "\"\< \) \>\"", "}"}], "}"}], ";"}]], "Code",
 CellTags->"myresp",
 CellLabel->"In[26]:=",ExpressionUUID->"00a54f62-b4bc-4b93-981b-ed3a6b94cd79"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"prolog", " ", "=", " ", 
   RowBox[{
    RowBox[{"Append", "[", 
     RowBox[{
      RowBox[{"myresp", "\[LeftDoubleBracket]", 
       RowBox[{"1", ",", " ", 
        RowBox[{"{", 
         RowBox[{"1", ",", " ", "2", ",", " ", "3"}], "}"}]}], 
       "\[RightDoubleBracket]"}], ",", " ", "\"\<\\)\>\""}], " ", "]"}], " ", 
    "//", " ", "StringJoin"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"units", " ", "=", " ", 
   RowBox[{
    RowBox[{"Prepend", "[", 
     RowBox[{
      RowBox[{"myresp", "\[LeftDoubleBracket]", 
       RowBox[{"1", ",", " ", 
        RowBox[{"-", 
         RowBox[{"{", 
          RowBox[{"2", ",", " ", "1"}], "}"}]}]}], "\[RightDoubleBracket]"}], 
      ",", " ", "\"\<\\(\>\""}], "]"}], " ", "//", " ", "StringJoin"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"respostas", " ", "=", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"myresp", "\[LeftDoubleBracket]", 
        RowBox[{"1", ",", " ", "4"}], "\[RightDoubleBracket]"}], " ", "//", 
       " ", "N"}], " ", "//", " ", 
      RowBox[{
       RowBox[{"NumberForm", "[", 
        RowBox[{"#", ",", " ", 
         RowBox[{"{", 
          RowBox[{"8", ",", " ", "1"}], "}"}]}], "]"}], " ", "&"}]}], ")"}]}],
    ";"}], " ", "\n"}], "\n", 
 RowBox[{
  RowBox[{"Grid", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"prolog", ",", " ", "respostas", ",", " ", "units"}], "}"}], 
     "}"}], ",", " ", 
    RowBox[{"ItemSize", " ", "->", " ", "\"\<WindowWidth\>\""}], ",", " ", 
    RowBox[{"Alignment", " ", "->", " ", "Left"}], ",", " ", 
    RowBox[{"ItemStyle", " ", "->", " ", 
     RowBox[{"{", 
      RowBox[{"\"\<Output\>\"", ",", " ", 
       RowBox[{"LineIndent", " ", "->", " ", "0"}]}], "}"}]}]}], "]"}], " ", "//",
   " ", "DisplayForm"}]}], "Code",
 CellLabel->"In[27]:=",ExpressionUUID->"4d27512d-70f0-475a-8fce-4bf4922e0b2c"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {"\<\"\\!\\(O\\\\ di\[AHat]metro\\\\ da\\\\ gal\[AAcute]xia\\\\ seria\\) \
\\( \\!\\(\\(\\*SubsuperscriptBox[\\(D\\), \\(galaxia\\), \\(\[Prime]\\)]\\(=\
\\)\\)\\)\\)\"\>", 
      TagBox[
       InterpretationBox[
        StyleBox["\<\"118.8\"\>",
         ShowStringCharacters->False],
        118.80000000000001`,
        AutoDelete->True],
       NumberForm[#, {8, 
        1}]& ], "\<\"\\(\\!\\(\\(\\(\\\\\\\\\\)\\(;\\)\\) \\(anos - \\(\\(luz\
\\)\\(.\\)\\)\\)\\) \\) \"\>"}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{
     "Columns" -> {{"WindowWidth"}}, "Rows" -> {{"WindowWidth"}}},
    GridBoxItemStyle->{
     "Columns" -> {{"Output"}}, "Rows" -> {{LineIndent -> 0}}}],
   "Grid"],
  DisplayForm]], "Output",
 CellLabel->
  "Out[30]//DisplayForm=",ExpressionUUID->"c21a48d3-956f-4154-aa80-\
054d75c36a42"]
}, Open  ]],

Cell["Intervalo de Toler\[AHat]ncia", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<toler\[AHat]ncia = \>\"", "<>", 
   RowBox[{"ToString", "[", "attr", "]"}], "<>", "\"\<%\>\""}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"StringForm", "[", 
     RowBox[{"\"\<`1` \[LessEqual] resposta=`3` \[LessEqual] `2`\>\"", ",", 
      RowBox[{"Sequence", "@@", 
       RowBox[{"Thread", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"minval", ",", "maxval"}], "}"}], "=", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Min", "[", "#", "]"}], ",", 
             RowBox[{"Max", "[", "#", "]"}]}], "}"}], "&"}], "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"N", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"attr", "*", "0.01"}]}], ")"}], "*", 
              RowBox[{"N", "[", 
               RowBox[{"myresp", "\[LeftDoubleBracket]", 
                RowBox[{"1", ",", "4"}], "\[RightDoubleBracket]"}], "]"}]}], 
             "]"}], ",", 
            RowBox[{"N", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{"attr", "*", "0.01"}]}], ")"}], "*", 
              RowBox[{"N", "[", 
               RowBox[{"myresp", "\[LeftDoubleBracket]", 
                RowBox[{"1", ",", "4"}], "\[RightDoubleBracket]"}], "]"}]}], 
             "]"}]}], "}"}], "]"}]}], "]"}]}], ",", 
      RowBox[{"myresp", "\[LeftDoubleBracket]", 
       RowBox[{"1", ",", "4"}], "\[RightDoubleBracket]"}]}], "]"}], "//", 
    "N"}], "//", 
   RowBox[{
    RowBox[{"NumberForm", "[", 
     RowBox[{"#", ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "1"}], "}"}]}], "]"}], "&"}]}], "]"}]}], "Code",
 CellLabel->"In[31]:=",ExpressionUUID->"5942f525-5eda-434a-be02-31fd5942843c"],

Cell[BoxData["\<\"toler\[AHat]ncia = 0.7%\"\>"], "Print",
 CellLabel->
  "During evaluation of \
In[31]:=",ExpressionUUID->"e313e5cd-b5df-433c-bbca-53a8da04cbfd"],

Cell[BoxData[
 TagBox[
  InterpretationBox["\<\"\\!\\(\\*RowBox[{\\\"\\\\\\\"118.0\\\\\\\"\\\"}]\\) \
\[LessEqual] resposta=\\!\\(\\*RowBox[{\\\"\\\\\\\"118.8\\\\\\\"\\\"}]\\) \
\[LessEqual] \\!\\(\\*RowBox[{\\\"\\\\\\\"119.6\\\\\\\"\\\"}]\\)\"\>",
   StringForm[
   "`1` \[LessEqual] resposta=`3` \[LessEqual] `2`", 117.96840000000002`, 
    119.6316, 118.80000000000001`],
   Editable->False],
  NumberForm[#, {4, 1}]& ]], "Print",
 CellLabel->
  "During evaluation of \
In[31]:=",ExpressionUUID->"2cf391aa-dc20-4927-9a4e-b25f88e8310a"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Feedback", "Subsection",ExpressionUUID->"74ef5532-b15d-4c0d-91ee-9534a17aef8c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fdbkbutton", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\"\<Bom trabalho!\>\"", ",", "\"\<Excelente!\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Tente outra vez.\>\"", ",", 
      "\"\<Reveja as notas te\[OAcute]ricas sobre a mat\[EAcute]ria.\>\""}], 
     "}"}]}], "}"}], "]"}]], "Input",
 CellLabel->"In[1]:="],

Cell[BoxData[
 RowBox[{
  RowBox[{"feedback", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<Bom trabalho!\>\"", ",", "\"\<Excelente!\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Tente outra vez.\>\"", ",", 
       "\"\<Reveja as notas te\[OAcute]ricas sobre a mat\[EAcute]ria.\>\""}], 
      "}"}]}], "}"}]}], ";"}]], "Code",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellTags->"fdbk",
 CellLabel->"In[33]:=",ExpressionUUID->"3136eece-2269-40f0-8bbf-a2931bc33c37"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"feedback", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"RandomChoice", "[", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(Bom\\\ \(trabalho!\)\)\>\"", ",", 
       "\"\<\!\(\(Excelente!\)\)\>\""}], "}"}], "]"}], ",", 
    RowBox[{"RandomChoice", "[", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(Tente\\\ outra\\\ \(\(vez\)\(.\)\)\)\>\"", ",", 
       "\"\<\!\(Reveja\\\ as\\\ notas\\\ te\[OAcute]ricas\\\ sobre\\\ a\\\ \(\
\(mat\[EAcute]ria\)\(.\)\)\)\>\""}], "}"}], "]"}]}], "}"}], ";"}]], "Code",
 CellTags->"fdbk",
 CellLabel->"In[34]:=",ExpressionUUID->"26d5d467-e7c1-4de2-bea2-9f21c3748d78"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exportar Notebook para XML e ZIP", "Subsection"],

Cell[TextData[{
 " ",
 Cell[BoxData[
  RowBox[{
   ButtonBox[
    InterpretationBox[
     RowBox[{"\<\"Gerar vers\[OTilde]es XMLe ZIP do Notebook \"\>", " ", 
      StyleBox["\<\"\\\"nb\\\"\"\>",
       StripOnInput->False,
       FontWeight->Bold]}],
     SequenceForm[
     "Gerar vers\[OTilde]es XMLe ZIP do Notebook " 
      Style["\"nb\"", {FontWeight -> Bold}]],
     Editable->False],
    Appearance->Automatic,
    ButtonFunction:>$CellContext`XMLOutput[],
    Evaluator->Automatic,
    Method->"Queued"], " "}]], "Text",
  TextAlignment->Center,ExpressionUUID->
  "43dc5fd9-f518-432a-b4f0-84acfb52b220"],
 Cell[BoxData[
  ButtonBox["\<\"Ver Ficha em fismeconline\"\>",
   Appearance->Automatic,
   ButtonFunction:>{$CellContext`tmpdir = CreateDirectory[]; 
     CopyFile[$CellContext`nb, 
       FileNameJoin[{$CellContext`tmpdir, 
         FileNameTake[$CellContext`nb]}]]; CopyFile[
       StringReplace[$CellContext`nb, ".nb" -> ".zip"], 
       FileNameJoin[{$CellContext`tmpdir, 
         FileNameTake[
          
          StringReplace[$CellContext`nb, ".nb" -> 
           ".zip"]]}]]; $CellContext`url = (Part[
        StringCases[#, 
         RegularExpression["https.*"]], 1]& )[
        RunProcess[{
         "python", $CellContext`WorkDir <> "/client8.py", $CellContext`tmpdir <> 
          "/"}]["StandardOutput"]]; SystemOpen[$CellContext`url]; 
     RunProcess[{"rm", "-rf", $CellContext`tmpdir}]; Null},
   Evaluator->Automatic,
   Method->"Queued"]], "Text",
  TextAlignment->Center,ExpressionUUID->"a50670c0-3094-453d-81e1-f1dcfa43650e"]
}], "Text",
 Editable->True,
 Deletable->True,ExpressionUUID->"9af6ea1c-6a1a-44a8-b0d2-55ec334283ed"]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1338., 753.75},
WindowMargins->{{Automatic, 0}, {0, Automatic}},
Visible->True,
DockedCells->Cell[
  BoxData[
   StyleBox[
    GridBox[{{
       StyleBox["Exame 4", FontColor -> GrayLevel[0]]}, {
       RowBox[{
         StyleBox[
          RowBox[{"Amaro Rica da Silva"}], "SmallText", FontColor -> 
          GrayLevel[0.5], TextAlignment -> Center], 
         RowBox[{
           StyleBox[
            TemplateBox[{
              RowBox[{"\"04/07/2022 - 16:48  \"", 
                StyleBox[
                 
                 RowBox[{
                  "\"GMT\"", "\[InvisibleSpace]", "+", "\[InvisibleSpace]", 
                   StyleBox[
                   "1", NumberMarks -> False, StripOnInput -> False]}], 
                 FontColor -> GrayLevel[0.5]]}], 
              RowBox[{"DateObject", "[", 
                RowBox[{
                  RowBox[{"{", 
                    
                    RowBox[{
                    "2022", ",", "7", ",", "4", ",", "16", ",", "48", ",", 
                    "25.556522`8.160076732493216"}], "}"}], ",", 
                  "\"Instant\"", ",", "\"Gregorian\"", ",", "1.`", ",", 
                  "\"SmearedUTC\"", ",", 
                  RowBox[{"{", 
                    
                    RowBox[{
                    "\"Day\"", ",", "\"/\"", ",", "\"Month\"", ",", "\"/\"", 
                    ",", "\"Year\"", ",", "\" - \"", ",", "\"Hour\"", ",", 
                    "\":\"", ",", "\"Minute\"", ",", "\"  \""}], "}"}]}], 
                "]"}]}, "DateObject", Editable -> False], "SmallText", 
            FontColor -> GrayLevel[0.5]]}]}]}}], "Item", FontSize -> 24, 
    FontWeight -> "Bold"]], TextAlignment -> Center, 
  CellMargins -> {{Inherited, Inherited}, {0, 12}}],
TaggingRules->{},
CellContext->"Global`",
ShowCellTags->True,
FrontEndVersion->"13.1 for Linux x86 (64-bit) (Junho 16, 2022)",
StyleDefinitions->"ReverseColor.nb",
ExpressionUUID->"ba5cd148-e0a2-4f83-ae0e-915390cb1738"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Defs"->{
  Cell[623, 22, 1702, 49, 479, "Code",ExpressionUUID->"ba564713-cd6f-47de-95e3-b4a6488d10d7",
   CellTags->"Defs"]},
 "Vars"->{
  Cell[3179, 102, 2389, 80, 247, "Code",ExpressionUUID->"08312e19-abb0-4240-b5d2-6a6ba5a8e0a9",
   CellTags->"Vars"],
  Cell[5571, 184, 149, 2, 49, "Output",ExpressionUUID->"d5ab8316-ae8a-42f1-b0ec-3fbaa89dc9c2",
   CellTags->"Vars"],
  Cell[5723, 188, 330, 8, 60, "Output",ExpressionUUID->"334015c4-e46e-47ca-abd4-5ffeeeb72d5f",
   CellTags->"Vars"],
  Cell[6056, 198, 149, 2, 49, "Output",ExpressionUUID->"ed515d2f-ef47-4cac-afc9-7637796cabba",
   CellTags->"Vars"],
  Cell[6208, 202, 151, 2, 49, "Output",ExpressionUUID->"b35beeb8-c0e4-4b9a-aed4-57eda82e3687",
   CellTags->"Vars"],
  Cell[6362, 206, 217, 4, 60, "Output",ExpressionUUID->"8d153461-4d1e-474e-9e02-f50fdc6f7ad7",
   CellTags->"Vars"],
  Cell[6582, 212, 221, 5, 60, "Output",ExpressionUUID->"72420145-5b83-4c5d-81f9-f0eb11145929",
   CellTags->"Vars"]},
 "quadro"->{
  Cell[8569, 282, 20767, 442, 275, "Text",ExpressionUUID->"c2d61fc7-6840-43b0-aaf8-5e1ae6a225cd",
   Magnification->1,
   CellTags->"quadro"],
  Cell[36344, 905, 15716, 328, 133, "Text",ExpressionUUID->"a46399bc-7a80-4caa-b7a5-4b6100aa6135",
   Magnification->1,
   CellTags->"quadro"]},
 "myenunc"->{
  Cell[29351, 727, 1896, 40, 221, "Code",ExpressionUUID->"9dcb8997-d596-4c24-8ef0-e04a22031100",
   CellTags->"myenunc"]},
 "myresp"->{
  Cell[52075, 1236, 554, 13, 74, "Code",ExpressionUUID->"00a54f62-b4bc-4b93-981b-ed3a6b94cd79",
   CellTags->"myresp"]},
 "fdbk"->{
  Cell[58688, 1430, 527, 16, 74, "Code",ExpressionUUID->"3136eece-2269-40f0-8bbf-a2931bc33c37",
   CellTags->"fdbk"],
  Cell[59230, 1449, 633, 16, 104, "Code",ExpressionUUID->"26d5d467-e7c1-4de2-bea2-9f21c3748d78",
   CellTags->"fdbk"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Defs", 63743, 1574},
 {"Vars", 63871, 1577},
 {"quadro", 64705, 1592},
 {"myenunc", 65007, 1599},
 {"myresp", 65143, 1602},
 {"fdbk", 65275, 1605}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 62, 0, 54, "Subsection",ExpressionUUID->"5ab80511-1704-4299-8986-412ead8f46a5"],
Cell[623, 22, 1702, 49, 479, "Code",ExpressionUUID->"ba564713-cd6f-47de-95e3-b4a6488d10d7",
 CellTags->"Defs"],
Cell[2328, 73, 285, 7, 56, "Input",ExpressionUUID->"77ec04b5-2a16-4901-9a63-ff40b5705f64"],
Cell[2616, 82, 107, 1, 54, "Subsection",ExpressionUUID->"b4e83bce-b7ac-49c4-81b3-7949a6bea012"],
Cell[CellGroupData[{
Cell[2748, 87, 206, 4, 27, "Input",ExpressionUUID->"d86b9323-299f-4719-8873-55289e886a0a"],
Cell[2957, 93, 185, 4, 47, "Output",ExpressionUUID->"1a7a09d2-31ca-44f9-9d9a-23c116c1bc09"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3179, 102, 2389, 80, 247, "Code",ExpressionUUID->"08312e19-abb0-4240-b5d2-6a6ba5a8e0a9",
 CellTags->"Vars"],
Cell[5571, 184, 149, 2, 49, "Output",ExpressionUUID->"d5ab8316-ae8a-42f1-b0ec-3fbaa89dc9c2",
 CellTags->"Vars"],
Cell[5723, 188, 330, 8, 60, "Output",ExpressionUUID->"334015c4-e46e-47ca-abd4-5ffeeeb72d5f",
 CellTags->"Vars"],
Cell[6056, 198, 149, 2, 49, "Output",ExpressionUUID->"ed515d2f-ef47-4cac-afc9-7637796cabba",
 CellTags->"Vars"],
Cell[6208, 202, 151, 2, 49, "Output",ExpressionUUID->"b35beeb8-c0e4-4b9a-aed4-57eda82e3687",
 CellTags->"Vars"],
Cell[6362, 206, 217, 4, 60, "Output",ExpressionUUID->"8d153461-4d1e-474e-9e02-f50fdc6f7ad7",
 CellTags->"Vars"],
Cell[6582, 212, 221, 5, 60, "Output",ExpressionUUID->"72420145-5b83-4c5d-81f9-f0eb11145929",
 CellTags->"Vars"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6840, 222, 436, 13, 52, "Input",ExpressionUUID->"f3c7212c-5d95-482d-9f19-07da86cf0eb9"],
Cell[7279, 237, 213, 5, 47, "Output",ExpressionUUID->"6658cdea-0aa1-4288-9b67-6aea81540d0b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7529, 247, 463, 13, 31, "Input",ExpressionUUID->"7b2c5c39-0b0c-4cd2-99d0-e48d24fae0d8"],
Cell[7995, 262, 203, 4, 47, "Output",ExpressionUUID->"efa7090b-ef58-4d62-83bd-305af5401a5b"]
}, Open  ]],
Cell[8213, 269, 96, 1, 54, "Subsection",ExpressionUUID->"9d0d092d-366c-46a3-8341-eae8d4d4a6f1"],
Cell[8312, 272, 132, 3, 27, "Input",ExpressionUUID->"8012e7f1-7cc6-461e-a47e-3820f4c8d195"],
Cell[CellGroupData[{
Cell[8469, 279, 97, 1, 54, "Subsection",ExpressionUUID->"7b4c7a83-e258-44e9-8247-e5209ea3bdfb"],
Cell[8569, 282, 20767, 442, 275, "Text",ExpressionUUID->"c2d61fc7-6840-43b0-aaf8-5e1ae6a225cd",
 Magnification->1,
 CellTags->"quadro"]
}, Open  ]],
Cell[29351, 727, 1896, 40, 221, "Code",ExpressionUUID->"9dcb8997-d596-4c24-8ef0-e04a22031100",
 CellTags->"myenunc"],
Cell[CellGroupData[{
Cell[31272, 771, 1901, 53, 167, "Code",ExpressionUUID->"f6cf1ee9-b129-4d4e-8a6c-a4e2c93726c6"],
Cell[33176, 826, 3032, 71, 183, "Output",ExpressionUUID->"27286455-c703-4367-9e93-b6b09c72fce1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36245, 902, 96, 1, 54, "Subsection",ExpressionUUID->"e7ae3186-ae49-4f63-bbd6-d3b6c1d7ca2a"],
Cell[36344, 905, 15716, 328, 133, "Text",ExpressionUUID->"a46399bc-7a80-4caa-b7a5-4b6100aa6135",
 Magnification->1,
 CellTags->"quadro"]
}, Open  ]],
Cell[52075, 1236, 554, 13, 74, "Code",ExpressionUUID->"00a54f62-b4bc-4b93-981b-ed3a6b94cd79",
 CellTags->"myresp"],
Cell[CellGroupData[{
Cell[52654, 1253, 1908, 53, 205, "Code",ExpressionUUID->"4d27512d-70f0-475a-8fce-4bf4922e0b2c"],
Cell[54565, 1308, 917, 26, 40, "Output",ExpressionUUID->"c21a48d3-956f-4154-aa80-054d75c36a42"]
}, Open  ]],
Cell[55497, 1337, 51, 0, 54, "Subsection",ExpressionUUID->"e745d65d-a3b7-4108-8345-a7c92faa0543"],
Cell[CellGroupData[{
Cell[55573, 1341, 1881, 48, 140, "Code",ExpressionUUID->"5942f525-5eda-434a-be02-31fd5942843c"],
Cell[57457, 1391, 162, 3, 32, "Print",ExpressionUUID->"e313e5cd-b5df-433c-bbca-53a8da04cbfd"],
Cell[57622, 1396, 538, 12, 32, "Print",ExpressionUUID->"2cf391aa-dc20-4927-9a4e-b25f88e8310a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58197, 1413, 85, 0, 54, "Subsection",ExpressionUUID->"74ef5532-b15d-4c0d-91ee-9534a17aef8c"],
Cell[CellGroupData[{
Cell[58307, 1417, 378, 11, 35, "Input",ExpressionUUID->"f9140cd7-0a6f-4c68-b23e-2ad6bc9e5c5c"],
Cell[58688, 1430, 527, 16, 74, "Code",ExpressionUUID->"3136eece-2269-40f0-8bbf-a2931bc33c37",
 CellTags->"fdbk"]
}, Open  ]],
Cell[59230, 1449, 633, 16, 104, "Code",ExpressionUUID->"26d5d467-e7c1-4de2-bea2-9f21c3748d78",
 CellTags->"fdbk"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59900, 1470, 54, 0, 54, "Subsection",ExpressionUUID->"c6515830-2bf4-4d87-a3aa-f53b9b321398"],
Cell[59957, 1472, 1667, 44, 39, "Text",ExpressionUUID->"9af6ea1c-6a1a-44a8-b0d2-55ec334283ed"]
}, Open  ]]
}
]
*)

